html{
	--font-base-size: clamp(10px, 1vw, 16px);
	--vsk-transition: all var( --vsk-transition-duration ) var( --vsk-transition-ease );
    --vsk-transition-ease: cubic-bezier(0.5, 1, 0.89, 1);
    --vsk-transition-duration: 0.3s;
	
	--vsk-section-padding-side: 5vw;
	--vsk-section-margin-bottom: 192px;
	--vsk-section-top-offset: 96px;
	--vsk-gap: 52px;
	--vsk-gap-s: 16px;
	--vsk-fluid-gap: clamp(12px, 2.5vw, calc(1vw + 72px));
	--vsk-max-width: 2000px;
	
	--vsk-border-radius-s: 6px;
	--vsk-border-radius-m: 8px;
	--vsk-border-radius-l: 12px;
	--vsk-border-radius-xl: 18px;

	font-size: var(--font-base-size);
}

body{
	--vsk-header-min-height: 130px;
	--site-height-correction: 0px;
	--vsk-top-offset: calc(var(--vsk-header-min-height) + var(--site-height-correction) + var(--vsk-section-margin-bottom));
	--vsk-sticky-top: calc(var(--vsk-top-offset) + 24px);
	--vsk-clr-border: hsl(from var(--e-global-color-text) h s l / .3);
	--vsk-font-variable-weight-heading: 400;
	--vsk-font-variable-weight-subheading: 700;
	--vsk-font-variable-weight-text-bold: 700;
	--vsk-font-variable-weight-text: 400;
	--vsk-font-variable-weight-button: 600;
	
	transition: var( --vsk-transition );
	text-wrap: pretty;
	color: var(--e-global-color-text);
}

body.admin-bar{
	--site-height-correction: 32px;
	padding-top: var(--site-height-correction)!important;
}

body.e--ua-appleWebkit{
	--vsk-font-variable-weight-subheading: 599;
}

@media (max-width: 1024px){
	html{
		--vsk-section-margin-bottom: 144px;
		--font-base-size: clamp(12px, 1.2vw, 18px);
	}
}


@media (max-width: 767px){
	html{
		--vsk-section-margin-bottom: 96px;
		--vsk-gap: 25px;
		--font-base-size: clamp(8px, .8vw, 14px);
	}
	
	body.admin-bar{
		--site-height-correction: 46px;
	}
}

html,
body{
	overflow-x: clip;
	overflow-y: visible;
	padding: 0!important;
	margin: 0!important;
	height: auto;
}

html:has(body.e-off-canvas__no-scroll),
body.e-off-canvas__no-scroll,
body.e-off-canvas__no-scroll-animation{
	overflow-y: hidden!important;
}

header{
	position: relative;
	z-index: 900;
}

.entry-title{
	display: none!important;
}

.dialog-type-lightbox{
	position: fixed!important;
	top: 0!important;
}

body.vsk :where(h1, h2, h3, h4, h5, h6){
	margin-top: 0;
	margin-bottom: 0;
	margin-block-start: 0;
	margin-block-end: 0;
	/*text-box-trim: trim-both;
    text-box-edge: cap alphabetic;*/
}

p{
	margin-top: 0!important;
	margin-bottom: 0!important;
	margin-block-start: 0!important;
	margin-block-end: 0!important;
}
p:not(:last-of-type){
	margin-bottom: 1.5em!important;
}

strong{
	font-weight: 600!important;
}

div.post.type-post h1:not(.no-margin), h2:not(.no-margin), h3:not(.no-margin), h4:not(.no-margin), h5:not(.no-margin), h6:not(.no-margin),
:not(.no-margin) :where(h1, h2, h3, h4, h5, h6){
	margin-bottom: 0em;
}


body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h1,
body.vsk .vsk-h1{
	font-family: var(--e-global-typography-69ebd8a-font-family), Sans-serif;
    font-size: var(--e-global-typography-69ebd8a-font-size);
    font-weight: var(--e-global-typography-69ebd8a-font-weight);
    text-transform: var(--e-global-typography-69ebd8a-text-transform);
    font-style: var(--e-global-typography-69ebd8a-font-style);
    text-decoration: var(--e-global-typography-69ebd8a-text-decoration);
    line-height: var(--e-global-typography-69ebd8a-line-height);
    letter-spacing: var(--e-global-typography-69ebd8a-letter-spacing);
    word-spacing: var(--e-global-typography-69ebd8a-word-spacing);
}

body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h2,
body.vsk .vsk-h2{
	font-family: var(--e-global-typography-d3ec1d4-font-family), Sans-serif;
    font-size: var(--e-global-typography-d3ec1d4-font-size);
    font-weight: var(--e-global-typography-d3ec1d4-font-weight);
    text-transform: var(--e-global-typography-d3ec1d4-text-transform);
    font-style: var(--e-global-typography-d3ec1d4-font-style);
    text-decoration: var(--e-global-typography-d3ec1d4-text-decoration);
    line-height: var(--e-global-typography-d3ec1d4-line-height);
    letter-spacing: var(--e-global-typography-d3ec1d4-letter-spacing);
    word-spacing: var(--e-global-typography-d3ec1d4-word-spacing);
}

body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h3,
body.vsk .vsk-h3{
	font-family: var(--e-global-typography-3355953-font-family), Sans-serif;
    font-size: var(--e-global-typography-3355953-font-size);
    font-weight: var(--e-global-typography-3355953-font-weight);
    text-transform: var(--e-global-typography-3355953-text-transform);
    font-style: var(--e-global-typography-3355953-font-style);
    text-decoration: var(--e-global-typography-3355953-text-decoration);
    line-height: var(--e-global-typography-3355953-line-height);
    letter-spacing: var(--e-global-typography-3355953-letter-spacing);
    word-spacing: var(--e-global-typography-3355953-word-spacing);
}

body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h4,
body.vsk .vsk-h4{
	font-family: var(--e-global-typography-ac068ab-font-family), Sans-serif;
    font-size: var(--e-global-typography-ac068ab-font-size);
    font-weight: var(--e-global-typography-ac068ab-font-weight);
    text-transform: var(--e-global-typography-ac068ab-text-transform);
    font-style: var(--e-global-typography-ac068ab-font-style);
    text-decoration: var(--e-global-typography-ac068ab-text-decoration);
    line-height: var(--e-global-typography-ac068ab-line-height);
    letter-spacing: var(--e-global-typography-ac068ab-letter-spacing);
    word-spacing: var(--e-global-typography-ac068ab-word-spacing);
}

body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h5,
body.vsk .vsk-h5{
	font-family: var(--e-global-typography-5412e84-font-family), Sans-serif;
    font-size: var(--e-global-typography-5412e84-font-size);
    font-weight: var(--e-global-typography-5412e84-font-weight);
    text-transform: var(--e-global-typography-5412e84-text-transform);
    font-style: var(--e-global-typography-5412e84-font-style);
    text-decoration: var(--e-global-typography-5412e84-text-decoration);
    line-height: var(--e-global-typography-5412e84-line-height);
    letter-spacing: var(--e-global-typography-5412e84-letter-spacing);
    word-spacing: var(--e-global-typography-5412e84-word-spacing);
}

body.vsk :where(.elementor-widget-theme-post-content, .woocommerce-product-details__short-description, .elementor-widget-woocommerce-product-content, #cmplz-document) h6,
body.vsk .vsk-h6{
	font-family: var(--e-global-typography-6bdd13b-font-family), Sans-serif;
    font-size: var(--e-global-typography-6bdd13b-font-size);
    font-weight: var(--e-global-typography-6bdd13b-font-weight);
    text-transform: var(--e-global-typography-6bdd13b-text-transform);
    font-style: var(--e-global-typography-6bdd13b-font-style);
    text-decoration: var(--e-global-typography-6bdd13b-text-decoration);
    line-height: var(--e-global-typography-6bdd13b-line-height);
    letter-spacing: var(--e-global-typography-6bdd13b-letter-spacing);
    word-spacing: var(--e-global-typography-6bdd13b-word-spacing);
}

body.vsk .vsk-p{
	font-family: var(--e-global-typography-b6daefe-font-family), Sans-serif;
    font-size: var(--e-global-typography-b6daefe-font-size);
    font-weight: var(--e-global-typography-b6daefe-font-weight);
    text-transform: var(--e-global-typography-b6daefe-text-transform);
    font-style: var(--e-global-typography-b6daefe-font-style);
    text-decoration: var(--e-global-typography-b6daefe-text-decoration);
    line-height: var(--e-global-typography-b6daefe-line-height);
    letter-spacing: var(--e-global-typography-b6daefe-letter-spacing);
    word-spacing: var(--e-global-typography-b6daefe-word-spacing);
}

body.vsk .vsk-pb{
	font-family: var(--e-global-typography-52ff3d9-font-family), Sans-serif;
    font-size: var(--e-global-typography-52ff3d9-font-size);
    font-weight: var(--e-global-typography-52ff3d9-font-weight);
    text-transform: var(--e-global-typography-52ff3d9-text-transform);
    font-style: var(--e-global-typography-52ff3d9-font-style);
    text-decoration: var(--e-global-typography-52ff3d9-text-decoration);
    line-height: var(--e-global-typography-52ff3d9-line-height);
    letter-spacing: var(--e-global-typography-52ff3d9-letter-spacing);
    word-spacing: var(--e-global-typography-52ff3d9-word-spacing);
}

body.vsk .vsk-pl{
	font-family: var(--e-global-typography-f101cfc-font-family), Sans-serif;
    font-size: var(--e-global-typography-f101cfc-font-size);
    font-weight: var(--e-global-typography-f101cfc-font-weight);
    text-transform: var(--e-global-typography-f101cfc-text-transform);
    font-style: var(--e-global-typography-f101cfc-font-style);
    text-decoration: var(--e-global-typography-f101cfc-text-decoration);
    line-height: var(--e-global-typography-f101cfc-line-height);
    letter-spacing: var(--e-global-typography-f101cfc-letter-spacing);
    word-spacing: var(--e-global-typography-f101cfc-word-spacing);
}

body.vsk .vsk-plb{
	font-family: var(--e-global-typography-917a783-font-family), Sans-serif;
    font-size: var(--e-global-typography-917a783-font-size);
    font-weight: var(--e-global-typography-917a783-font-weight);
    text-transform: var(--e-global-typography-917a783-text-transform);
    font-style: var(--e-global-typography-917a783-font-style);
    text-decoration: var(--e-global-typography-917a783-text-decoration);
    line-height: var(--e-global-typography-917a783-line-height);
    letter-spacing: var(--e-global-typography-917a783-letter-spacing);
    word-spacing: var(--e-global-typography-917a783-word-spacing);
}

body.vsk .vsk-ps{
	font-family: var(--e-global-typography-b744043-font-family), Sans-serif;
    font-size: var(--e-global-typography-b744043-font-size);
    font-weight: var(--e-global-typography-b744043-font-weight);
    text-transform: var(--e-global-typography-b744043-text-transform);
    font-style: var(--e-global-typography-b744043-font-style);
    text-decoration: var(--e-global-typography-b744043-text-decoration);
    line-height: var(--e-global-typography-b744043-line-height);
    letter-spacing: var(--e-global-typography-b744043-letter-spacing);
    word-spacing: var(--e-global-typography-b744043-word-spacing);
}
body.vsk .vsk-psb{
	font-family: var(--e-global-typography-ea538ef-font-family), Sans-serif;
    font-size: var(--e-global-typography-ea538ef-font-size);
    font-weight: var(--e-global-typography-ea538ef-font-weight);
    text-transform: var(--e-global-typography-ea538ef-text-transform);
    font-style: var(--e-global-typography-ea538ef-font-style);
    text-decoration: var(--e-global-typography-ea538ef-text-decoration);
    line-height: var(--e-global-typography-ea538ef-line-height);
    letter-spacing: var(--e-global-typography-ea538ef-letter-spacing);
    word-spacing: var(--e-global-typography-ea538ef-word-spacing);
}

body.vsk .vsk-btn{
	font-family: var(--e-global-typography-1b28b19-font-family), Sans-serif;
    font-size: var(--e-global-typography-1b28b19-font-size);
    font-weight: var(--e-global-typography-1b28b19-font-weight);
    text-transform: var(--e-global-typography-1b28b19-text-transform);
    font-style: var(--e-global-typography-1b28b19-font-style);
    text-decoration: var(--e-global-typography-1b28b19-text-decoration);
    line-height: var(--e-global-typography-1b28b19-line-height);
    letter-spacing: var(--e-global-typography-1b28b19-letter-spacing);
    word-spacing: var(--e-global-typography-1b28b19-word-spacing);
}

body.vsk .vsk-font-inherit{
	font-family: inherit!important;
    font-size: inherit!important;
    font-weight: inherit!important;
    font-style: inherit!important;
    text-transform: inherit!important;
    text-decoration: inherit!important;
    line-height: inherit!important;
    letter-spacing: inherit!important;
    word-spacing: inherit!important;
	color: inherit!important;
}

section,
article{
	scroll-margin-top: calc(var(--vsk-header-sticky-min-height) + 24px)!important;
}

section.e-con:not(.no-padding),
.use-padding{
	padding-left: var( --vsk-section-padding-side )!important;
	padding-right: var( --vsk-section-padding-side )!important;
}
.use-padding-left{
	padding-left: var( --vsk-section-padding-side )!important;
}
.use-padding-right{
	padding-right: var( --vsk-section-padding-side )!important;
}

section.e-con:not(.no-margin),
.use-margin{
	margin-bottom: var( --vsk-section-margin-bottom )!important;
}

.use-max-width{
	max-width: var( --vsk-max-width )!important;
	margin-left: auto!important;
	margin-right: auto!important;
}

.use-top-offset{
	padding-top: calc(var(--vsk-top-offset) + var(--_top-offset, 0px))!important;
}
@media(max-width: 767px){
	.use-top-offset{
		padding-top: calc(var(--vsk-top-offset) + var(--_top-offset, 0px) + 24px)!important;
	}
}

.p-margin p:not(:last-child, :has(+ ul)){
    margin-bottom: 1em!important;
}

.vsk-br-s{
	-moz-border-radius: var(--vsk-border-radius-s)!important;
	-webkit-border-radius: var(--vsk-border-radius-s)!important;
	border-radius: var(--vsk-border-radius-s)!important;
}

.vsk-br-m{
	-moz-border-radius: var(--vsk-border-radius-m)!important;
	-webkit-border-radius: var(--vsk-border-radius-m)!important;
	border-radius: var(--vsk-border-radius-m)!important;
}

.vsk-br-l{
	-moz-border-radius: var(--vsk-border-radius-l)!important;
	-webkit-border-radius: var(--vsk-border-radius-l)!important;
	border-radius: var(--vsk-border-radius-l)!important;
}

.vsk-br-xl{
	-moz-border-radius: var(--vsk-border-radius-xl)!important;
	-webkit-border-radius: var(--vsk-border-radius-xl)!important;
	border-radius: var(--vsk-border-radius-xl)!important;
}

.vsk-clr-accent{
	color: var(--e-global-color-accent)!important;
}
.vsk-clr-primary{
	color: var(--e-global-color-primary)!important;
}
.vsk-clr-secondary{
	color: var(--e-global-color-secondary)!important;
}
.vsk-clr-text{
	color: var(--e-global-color-text)!important;
}

.vsk-clr-black{
	color: var(--e-global-color-text)!important;
}

.vsk-clr-white{
	color: #fff!important;
}

.vsk-sticky{
	position: -webkit-sticky!important;
    position: sticky!important;
    top: calc(var(--vsk-top-offset) - var(--vsk-gap-s) + (var(--_n) * var(--vsk-gap-s) ))!important;
}

.vsk-text-center{
	text-align: center;
}
.vsk-text-left{
	text-align: left;
}
.vsk-text-right{
	text-align: right;
}

.vsk-credit{
	display: flex;
	align-items: center;
	justify-content: start;
	flex-wrap: wrap;
	gap: 1ch;
}
.vsk-credit a{
	--_btn-text-color: white!important;
	font-family: inherit!important;
    font-size: inherit!important;
    font-weight: inherit!important;
    font-style: inherit!important;
    text-transform: inherit!important;
    text-decoration: inherit!important;
    line-height: inherit!important;
    letter-spacing: inherit!important;
    word-spacing: inherit!important;
	color: inherit!important;
}
.vsk-credit .sep{
	width: 1px;
	height: 1lh;
	background: currentColor;
}


/* ELE FIXES */
.elementor-icon-wrapper{
    display: flex!important;
}

.elementor-nav-menu a{
    position: relative!important;
    width: fit-content!important;
}

.elementor-lightbox{
	--lightbox-ui-color: var(--e-global-color-text)!important;
	--lightbox-ui-color-hover: var(--e-global-color-accent)!important;
}

.elementor-lightbox .dialog-lightbox-close-button svg,
.elementor-lightbox .elementor-swiper-button svg{
	fill: var(--lightbox-ui-color)!important;
}

body{
	/* H1 */ --e-global-typography-69ebd8a-font-weight: var(--vsk-font-variable-weight-heading);
	/* H2 */ --e-global-typography-24b3e92-font-weight: var(--vsk-font-variable-weight-heading);
	/* H3 */ --e-global-typography-78f5bc5-font-weight: var(--vsk-font-variable-weight-subheading);
	/* H4 */ --e-global-typography-feb3abe-font-weight: var(--vsk-font-variable-weight-subheading);
	/* H5 */ --e-global-typography-b1b47f1-font-weight: var(--vsk-font-variable-weight-subheading);
	/* H6 */ --e-global-typography-054d160-font-weight: var(--vsk-font-variable-weight-subheading);
	/* Button */ --e-global-typography-f6e9431-font-weight: var(--vsk-font-variable-weight-button);
	/* TL */ --e-global-typography-91623c8-font-weight: var(--vsk-font-variable-weight-text);
	/* TR */ --e-global-typography-text-font-weight: var(--vsk-font-variable-weight-text);
	/* TS */ --e-global-typography-c839977-font-weight: var(--vsk-font-variable-weight-text);
	/* TLB */  --e-global-typography-0128227-font-weight: var(--vsk-font-variable-weight-text-bold);
	/* TB */ --e-global-typography-c9aa78b-font-weight: var(--vsk-font-variable-weight-text-bold);
	/* TSB */ --e-global-typography-9bf8fc1-font-weight: var(--vsk-font-variable-weight-text-bold);
}



/* LIST */
.vsk-check-list{
	--_bullet-size: 26px;
	--_top-offset: 0em;
	--_bg-image: url(/wp-content/uploads/2025/12/east_48dp_E4055B_FILL0_wght200_GRAD0_opsz48.svg);
}

.vsk-check-list ul,
ul.vsk-check-list{
    padding: 0;
}

.vsk-check-list li{
    list-style:none;
    position: relative;
    padding-left: calc(var(--_bullet-size) + 8px);
    padding-bottom: 3px;
	display: inline-block!important;
	width: 100%!important;
}
.vsk-check-list li:not(:last-child){
	margin-bottom: .5em;
}

.vsk-check-list li:before{
    content: '';
    width: var(--_bullet-size);
    height: var(--_bullet-size);
    background-image: var(--_bg-image);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    position: absolute;
    top: var(--_top-offset);
    left: 0;
}
.vsk-check-list.white  li:before{
	filter: invert(1) grayscale(100%) brightness(10);
}

@media(max-width: 767px){
	.vsk-check-list li{
		display: block!important;
	}
}


.vsk-specs:has(.hash-active) .spec-item:not(.hash-active){
	opacity: 1!important;
}
.hash-active{
}

/* GSAP Preloader */
#vsk-preloader {
    position: fixed;
    inset: 0;
    background-color: white;
    z-index: 9999;
    pointer-events: none;
    opacity: 1;
    pointer-events: all;
    transition: opacity 0.2s ease-out!important;
	display: grid;
	place-items: center;
  }
#vsk-preloader img{
	width: 300px;
}
#vsk-preloader.hidden {
    opacity: 0;
    pointer-events: none;
}
	
@media(max-width: 767px){
	#vsk-preloader img{
		width: 200px;
	}
}

/* Complianz */
#cmplz-document{
    width: 100%;
    max-width: 100%;
}

#cmplz-document :where(h1, h2){
    margin: 48px 0 12px 0!important;
}

#cmplz-document summary,
#cmplz-document details{
	border-radius: 6px;
}

.grecaptcha-badge{
	display: none;
}


/* Services list */
.vsk-services-grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.vsk-services-grid ul{
    list-style: none;
    padding: 0;
}

/* Services list --- Item borders */
.vsk-services-grid .vsk-service-item{
    border-top: 1px solid var(--e-global-color-text);
    color: var(--e-global-color-text)!important;
}
.vsk-services-grid .vsk-services-col .vsk-service-item:last-child{
    border-bottom: 1px solid var(--e-global-color-text);
}

/* Services list --- Transitions */
.vsk-services-grid path{
    transition: fill var(--vsk-transition-duration) var(--vsk-transition-ease)!important;
}

.vsk-services-grid .vsk-service-item__inner{
    display: flex;
    flex-flow: row nowrap;
    gap: 1em;
    align-items: center;
    padding: 2em var(--vsk-section-padding-side);
    color: currentColor;
}

.vsk-services-grid .vsk-service-item__number{
   font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: var(--e-global-typography-text-font-size);
    font-weight: var(--e-global-typography-text-font-weight);
    font-style: var(--e-global-typography-text-font-style);
    text-transform: var(--e-global-typography-text-text-transform);
    text-decoration: var(--e-global-typography-text-text-decoration);
    line-height: var(--e-global-typography-text-line-height);
    letter-spacing: var(--e-global-typography-text-letter-spacing);
    word-spacing: var(--e-global-typography-text-word-spacing);
}

.vsk-services-grid .vsk-service-item__title{
    font-family: var(--e-global-typography-78f5bc5-font-family), Sans-serif;
    font-size: var(--e-global-typography-78f5bc5-font-size);
    font-weight: var(--e-global-typography-78f5bc5-font-weight);
    font-style: var(--e-global-typography-78f5bc5-font-style);
    text-transform: var(--e-global-typography-78f5bc5-text-transform);
    text-decoration: var(--e-global-typography-78f5bc5-text-decoration);
    line-height: var(--e-global-typography-78f5bc5-line-height);
    letter-spacing: var(--e-global-typography-78f5bc5-letter-spacing);
    word-spacing: var(--e-global-typography-78f5bc5-word-spacing);
    color: currentColor;
    flex-grow: 1;
}

.vsk-services-grid .vsk-service-item__icon svg{
    width: 2.5em;
}

.vsk-services-grid path{
	fill:var(--e-global-color-1ca8011)!important;
}

/* Services list --- Hover state 
.vsk-services-grid .vsk-service-item:hover{
    background: var(--e-global-color-accent);
    color: var(--e-global-color-1ca8011);
}
.vsk-services-grid .vsk-service-item:hover a{
    color: var(--e-global-color-1ca8011);
}*/
.vsk-services-grid .vsk-service-item:hover svg path{
    fill:var(--e-global-color-accent)!important;
}

@media(max-width: 1024px){
    .vsk-services-grid {
        grid-template-columns: 1fr;
    }
    
    .vsk-services-grid .vsk-services-col:nth-child(2) .vsk-service-item:first-child{
        border-top: none;
    }
}



